#!/bin/sh
PATH=/bin:/usr/bin:/sbin:/usr/sbin export PATH

############################ relock.command ########################
# Mike Bombich | mike@bombich.com
# Copyright 2003 Mike Bombich
# Loginwindow Manager (http://www.bombich.com/software/lwm.html)
####################################################################


### Description ###
#
# This script augments the "refresh default home directory" scripts
# This script automates the process of "relocking" the default user's
# home directory. Basically it deletes the original pristine copy, 
# replaces it with a copy of the current "default" user's home
# directory, then re-implements the login hook.


### Properties ###
#
# These items must be modified to suit your environment before
# implementing this script! You do not need to make any other
# modifications to this file than these properties.
#
defUser="default"
defUserHome="/Users/$defUser"
mgmntDir="/Library/Management"
loginHook="$mgmntDir/refresh-default-homedir.sh"
logoutHook=""


### Script action ###
if [ ! $loginHook == "" ]; then
	sudo defaults write /Library/Preferences/com.apple.loginwindow LoginHook "$loginHook"
fi

if [ ! $logoutHook == "" ]; then
	sudo defaults write /Library/Preferences/com.apple.loginwindow LogoutHook "$logoutHook"
fi


sudo rm -r "$mgmntDir"/"$defUser"
sudo ditto -rsrc "$defUserHome" "$mgmntDir"/"$defUser"
sudo chown -R root:admin "$mgmntDir"/"$defUser"
